> ## Documentation Index
> Fetch the complete documentation index at: https://docs.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enrich Company

> Get comprehensive company information from a LinkedIn company URL.

<Info>
  This operation costs **1 credit**.

  **Coming Soon:** We're working on adding the ability to enrich company information based on domain names (e.g., `example.com`) instead of requiring a LinkedIn Profile URL.
</Info>

<Warning>
  LinkedIn URLs must be valid company URLs. Use [Find Company](/v1/api/companies/find) to get valid LinkedIn URLs from company names.
</Warning>


## OpenAPI

````yaml /v1/api/openapi.json get /companies/enrich
openapi: 3.1.0
info:
  title: CD Automation External API
  description: This is the External API documentation for CD Automation
  version: dev
servers:
  - url: https://api.captaindata.com/v1
security:
  - XApiKeyAuth: []
paths:
  /companies/enrich:
    get:
      tags:
        - public / live
      summary: Get data from captaindata companies enrich
      operationId: getCaptaindataCompaniesEnrich
      parameters:
        - name: li_company_url
          in: query
          required: true
          schema:
            pattern: >-
              /^https:\/\/(?:(www|[a-z]{2})\.)?linkedin\.com\/(?:sales\/)?(?:school|pub|company|showcase)\/[\w%-]+(?:\/(?:\w+)?)?/i
            type: string
            format: uri
            description: >-
              A LinkedIn Company URL should start with
              'https://www.linkedin.com/sales/company',
              'https://www.linkedin/showcase' 'https://www.linkedin.com/company'
              or 'https://www.linkedin.com/school'"
            x-primary: true
            x-placeholder: LinkedIn Company URL
            x-help: >-
              A LinkedIn Company URL should start with
              'https://www.linkedin.com/sales/company',
              'https://www.linkedin/showcase' 'https://www.linkedin.com/company'
              or 'https://www.linkedin.com/school'"
            x-variations:
              - url
              - company_url
              - current_company_url
              - link
            in: query
          description: >-
            A LinkedIn Company URL should start with
            'https://www.linkedin.com/sales/company',
            'https://www.linkedin/showcase' 'https://www.linkedin.com/company'
            or 'https://www.linkedin.com/school'"
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CaptaindataCompaniesEnrichOutput'
          headers: {}
        '400':
          $ref: '#/components/responses/BadRequest'
        '424':
          $ref: '#/components/responses/FailedDependency'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    CaptaindataCompaniesEnrichOutput:
      type: object
      properties:
        uid:
          type: string
        company_name:
          type: string
        specialties:
          type: array
          items:
            type: string
        tagline:
          type: string
        li_company_id:
          type: integer
        description:
          type: string
        type:
          type: string
        founded_on:
          type: number
        li_company_url:
          type: string
          format: uri
        website:
          type: string
          format: uri
        li_company_phone:
          type: string
        sn_company_url:
          type: string
          format: uri
        industries:
          type: array
          description: Industries taxonomy (v2)
          items:
            type: string
        industry:
          type: string
        li_job_search_url:
          type: string
          format: uri
        li_followers_count:
          type: integer
        number_employees:
          type: number
        employees_range:
          type: string
        li_employees_url:
          type: string
          format: uri
        country:
          type: string
        geographic_area:
          type: string
        city:
          type: string
        postal_code:
          type: string
        headquarters:
          type: string
        locations:
          type: array
          items:
            type: object
            additionalProperties: true
            properties:
              address:
                type: string
              geographic_area:
                type: string
              street:
                type: string
              postal_code:
                type: string
              city:
                type: string
              country:
                type: string
        number_of_locations:
          type: number
        last_funding_investors:
          type: array
          items:
            type: object
            additionalProperties: true
            properties:
              name:
                type: string
              crunchbase_company_url:
                type: string
                format: uri
        crunchbase_company_url:
          type: string
          format: uri
        last_funding_date:
          type: string
          format: date
        last_funding_type:
          type: string
        last_funding_raised:
          type: number
        last_funding_currency:
          type: string
        logo_url:
          type: string
          format: uri
        domain:
          type: string
        location:
          type: string
        school_uid:
          type: string
        li_school_id:
          type: number
        li_page_claimed:
          type: boolean
        updated_at:
          type: string
          format: date-time
        affiliates:
          type: array
          items:
            type: object
            additionalProperties: false
            properties:
              company_uid:
                type: string
              company_name:
                type: string
              li_company_id:
                type: integer
              followers_count:
                type: integer
              industry:
                type: string
              li_company_url:
                type: string
    BadRequest:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          nullable: true
          example: ERR-12345
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  type: string
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
    FailedDependency:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          nullable: true
          example: ERR-12345
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  type: string
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
    InternalServerError:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          nullable: true
          example: ERR-12345
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  type: string
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequest'
    FailedDependency:
      description: Failed Dependency
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailedDependency'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  securitySchemes:
    XApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````